Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class ProxyDate

    java.lang.Object
      |
      +--java.util.Date
            |
            +--kodo.util.ProxyDate

All Implemented Interfaces:
  Cloneable, Comparable, Proxy, Serializable

public synchronized class ProxyDate
extends Date
implements Proxy

See Also:
  Serialized Form

Constructor Summary
`ProxyDate()`
`ProxyDate(long)`

Method Summary
`Object` | `copy(Object)` Return an unproxied copy of the given instance.
`ChangeTracker` | `getChangeTracker()` Return the change tracker for this proxy, or null if none.
`KodoStateManager` | `getOwner()` Return the owning object.
`int` | `getOwnerField()` Return the owning field index.
`void` | `setDate(int)`
`void` | `setHours(int)`
`void` | `setMinutes(int)`
`void` | `setMonth(int)`
`void` | `setOwner(KodoStateManager, int)` Reset the state of the proxy, and set the owning JDO instance of the proxy and the name of the field it is assigned to.
`void` | `setSeconds(int)`
`void` | `setTime(long)`
`void` | `setYear(int)`
`protected Object` | `writeReplace()`

Methods inherited from class java.util.Date
`after, before, clone, compareTo, compareTo, equals, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getYear, hashCode, parse, toGMTString, toLocaleString, toString, UTC`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProxyDate

    public ProxyDate()

### ProxyDate

    public ProxyDate(long)

Method Detail

### setOwner

    public void setOwner(KodoStateManager,
                         int)

  Description copied from interface: `Proxy`
  Reset the state of the proxy, and set the owning JDO instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.
  Specified by:
    `setOwner` in interface `Proxy`

### getOwner

    public KodoStateManager getOwner()

  Description copied from interface: `Proxy`
  Return the owning object.
  Specified by:
    `getOwner` in interface `Proxy`

### getOwnerField

    public int getOwnerField()

  Description copied from interface: `Proxy`
  Return the owning field index.
  Specified by:
    `getOwnerField` in interface `Proxy`

### getChangeTracker

    public ChangeTracker getChangeTracker()

  Description copied from interface: `Proxy`
  Return the change tracker for this proxy, or null if none.
  Specified by:
    `getChangeTracker` in interface `Proxy`

### copy

    public Object copy(Object)

  Description copied from interface: `Proxy`
  Return an unproxied copy of the given instance. This method is used by proxy managers to create backup values for use in rollback.
  Specified by:
    `copy` in interface `Proxy`

### setYear

    public void setYear(int)

  Overrides:
    `setYear` in class `Date`

### setMonth

    public void setMonth(int)

  Overrides:
    `setMonth` in class `Date`

### setDate

    public void setDate(int)

  Overrides:
    `setDate` in class `Date`

### setHours

    public void setHours(int)

  Overrides:
    `setHours` in class `Date`

### setMinutes

    public void setMinutes(int)

  Overrides:
    `setMinutes` in class `Date`

### setSeconds

    public void setSeconds(int)

  Overrides:
    `setSeconds` in class `Date`

### setTime

    public void setTime(long)

  Overrides:
    `setTime` in class `Date`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.